EVSYS_USER_Type Union Reference

## Data Fields

struct {
uint32_t CHANNEL:6
uint32_t __pad0__:26
} | bit
uint32_t | reg

## Detailed Description

Definition at line 539 of file evsys.h.

## Field Documentation

## __pad0__

uint32_t EVSYS_USER_Type::__pad0__

bit: 6..31 Reserved

Definition at line 542 of file evsys.h.

## bit

struct { ... } EVSYS_USER_Type::bit

Structure used for bit access

## CHANNEL

uint32_t EVSYS_USER_Type::CHANNEL

bit: 0.. 5 Channel Event Selection

Definition at line 541 of file evsys.h.

## reg

uint32_t EVSYS_USER_Type::reg

Type used for register access

Definition at line 544 of file evsys.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/evsys.h